| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Types | Properties | List of all members
FrameProperties Class Reference

The FrameProperties class holds the properties of a video frame. More...

## Public Types
enum | CodingType { UnknownFrame = 0, I_Frame = 1, P_Frame = 2, B_Frame = 3 }
| Specifies the coding type of a video frame. More...
enum | FieldType { UnknownField = 0, TopField = 1, BottomField = 2, NoField = 3 }
| Specifies the field type of a video frame. More...

## Properties
FieldType | fieldType
| Returns the field type of the frame.
CodingType | frameType
| Returns the coding type of the frame.
Number | quantiser
| Returns the average quantiser of the frame.
Number | time
| Returns the time (in milliseconds) of the frame.

## Detailed Description

The FrameProperties class holds the properties of a video frame.

## Member Enumeration Documentation

enum CodingType

Specifies the coding type of a video frame.

Enumerator:

  UnknownFrame | Unknown coded picture
  I_Frame | Intra-coded picture
  P_Frame | Predicted picture
  B_Frame | Bi-predictive picture

enum FieldType

Specifies the field type of a video frame.

Enumerator:

  UnknownField | Unknown field type
  TopField | Top field of frame
  BottomField | Bottom field of frame
  NoField | Complete frame

## Property Documentation

Number time
| read

Returns the time (in milliseconds) of the frame.

See Also
  Editor.currentFrameTime